Get board by public ID
curl --request GET \
--url https://bhokan.com/api/v1/boards/{boardPublicId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bhokan.com/api/v1/boards/{boardPublicId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bhokan.com/api/v1/boards/{boardPublicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/boards/{boardPublicId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/boards/{boardPublicId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bhokan.com/api/v1/boards/{boardPublicId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/boards/{boardPublicId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"publicId": "<string>",
"name": "<string>",
"slug": "<string>",
"visibility": "private",
"isArchived": true,
"createdBy": "<string>",
"favorite": true,
"archivedCardCount": 123,
"trashedCardCount": 123,
"workspace": {
"publicId": "<string>",
"cardPrefix": "<string>",
"members": [
{
"publicId": "<string>",
"email": "<string>",
"status": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}
]
},
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"tags": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"lists": [
{
"publicId": "<string>",
"name": "<string>",
"index": 123,
"cards": [
{
"publicId": "<string>",
"title": "<string>",
"description": "<string>",
"index": 123,
"cardNumber": 123,
"dueDate": "<string>",
"completedAt": "<string>",
"priority": "low",
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"members": [
{
"publicId": "<string>",
"email": "<string>",
"user": {
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}
],
"attachments": [
{
"publicId": "<string>"
}
],
"coverUrl": "<string>",
"checklists": [
{
"publicId": "<string>",
"name": "<string>",
"index": 123,
"items": [
{
"publicId": "<string>",
"title": "<string>",
"completed": true,
"index": 123
}
]
}
],
"comments": [
{
"publicId": "<string>"
}
]
}
]
}
],
"allLists": [
{
"publicId": "<string>",
"name": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Boards
Get board by public ID
Retrieves a board by its public ID
GET
/
boards
/
{boardPublicId}
Get board by public ID
curl --request GET \
--url https://bhokan.com/api/v1/boards/{boardPublicId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bhokan.com/api/v1/boards/{boardPublicId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bhokan.com/api/v1/boards/{boardPublicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/boards/{boardPublicId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/boards/{boardPublicId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://bhokan.com/api/v1/boards/{boardPublicId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/boards/{boardPublicId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"publicId": "<string>",
"name": "<string>",
"slug": "<string>",
"visibility": "private",
"isArchived": true,
"createdBy": "<string>",
"favorite": true,
"archivedCardCount": 123,
"trashedCardCount": 123,
"workspace": {
"publicId": "<string>",
"cardPrefix": "<string>",
"members": [
{
"publicId": "<string>",
"email": "<string>",
"status": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}
]
},
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"tags": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"lists": [
{
"publicId": "<string>",
"name": "<string>",
"index": 123,
"cards": [
{
"publicId": "<string>",
"title": "<string>",
"description": "<string>",
"index": 123,
"cardNumber": 123,
"dueDate": "<string>",
"completedAt": "<string>",
"priority": "low",
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"members": [
{
"publicId": "<string>",
"email": "<string>",
"user": {
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}
],
"attachments": [
{
"publicId": "<string>"
}
],
"coverUrl": "<string>",
"checklists": [
{
"publicId": "<string>",
"name": "<string>",
"index": 123,
"items": [
{
"publicId": "<string>",
"title": "<string>",
"completed": true,
"index": 123
}
]
}
],
"comments": [
{
"publicId": "<string>"
}
]
}
]
}
],
"allLists": [
{
"publicId": "<string>",
"name": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
12Query Parameters
Minimum string length:
12Minimum string length:
12Minimum string length:
12Available options:
overdue, today, tomorrow, next-week, next-month, no-due-date Available options:
low, medium, high, urgent, none Available options:
regular, template Response
Successful response
Available options:
private, public Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes